Class | TkText::IndexString
In: | tk/lib/tk/text.rb
Parent: | String

### Methods

at id new

### Included Modules

IndexModMethods

### Public Class methods

at(x,y)

[Source]

    # File tk/lib/tk/text.rb, line 134
        def self.at(x,y)
          self.new("@#{x},#{y}")
        end

new(str)

[Source]

    # File tk/lib/tk/text.rb, line 138
        def self.new(str)
          if str.kind_of?(String)
            super(str)
          elsif str.kind_of?(Symbol)
            super(str.to_s)
          else
            str
          end
        end

### Public Instance methods

id()

[Source]

    # File tk/lib/tk/text.rb, line 148
        def id
          self
        end

[Validate]